'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.bindableAll = undefined;
exports.default = bindable;

var _isType = require('./isType');

var _function = require('./function');

function bindable(fn) {
    return function boundFn(...args) {
        return this !== undefined && this.__esModule !== true ? fn.call(this, this, ...args) : fn.call(this, ...args);
    };
}

const bindableAll = exports.bindableAll = module => (0, _function.wrapMethods)(module, bindable);