'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.toHex = undefined;

var _bindable = require('./bindable');

var _bindable2 = _interopRequireDefault(_bindable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Converts a decimal number to hexidecimal.
 * 
 * @param {Number} num
 * @return {string}
 */
const toHex = exports.toHex = (0, _bindable2.default)(num => {
    if (num < 0) {
        num = 0xFFFFFFFF + num + 1;
    }

    return num.toString(16);
});