'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.log = log;

var _util = require('util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: should we export this...? as what?
function format(...args) {
    if (args.length === 1 && Object.prototype.toString.call(args[0]) === '[object String]') {
        return args[0];
    }
    return args.map(o => _util2.default.inspect(o, { colors: true, depth: 10, showHidden: false })).join(' ');
}

function log(...args) {
    return console.log(format(...args));
}