'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.percentEncode = exports.replaceAll = undefined;

var _number = require('./number');

var _bindable = require('./bindable');

var _bindable2 = _interopRequireDefault(_bindable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const replaceAll = exports.replaceAll = (0, _bindable2.default)((string, search, replacement) => string.split(search).join(replacement));

const percentEncode = exports.percentEncode = (0, _bindable2.default)(char => '%' + (0, _number.toHex)(char.codePointAt(0)));