import { isFunction } from './isType';
import { wrapMethods } from './function';

export default function bindable(fn) {
    return function boundFn() {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return this !== undefined && this.__esModule !== true ? fn.call.apply(fn, [this, this].concat(args)) : fn.call.apply(fn, [this].concat(args));
    };
}

export var bindableAll = function bindableAll(module) {
    return wrapMethods(module, bindable);
};