import { toHex } from './number';
import bindable from './bindable';

export var replaceAll = bindable(function (string, search, replacement) {
  return string.split(search).join(replacement);
});

export var percentEncode = bindable(function (char) {
  return '%' + toHex(char.codePointAt(0));
});